Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# T_pickle_suite< T > Struct Template Reference

Implements pickle support for eoPersistent derivatives. More...

`#include <pickle.h>`

List of all members.

## Static Public Member Functions
std::string | print_to_string (const T &t)
boost::python::tuple | getstate (const T &t)
void | setstate (T &t, boost::python::tuple pickled)

## Detailed Description

### template<class T>
struct T_pickle_suite< T >

Implements pickle support for eoPersistent derivatives.

Definition at line 32 of file pickle.h.

The documentation for this struct was generated from the following file:

- pickle.h